Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionComboBox

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex
                      com.trolltech.qt.gui.QStyleOptionComboBox

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QStyleOptionComboBox

extends QStyleOptionComplex
implements java.lang.Cloneable

The `QStyleOptionComboBox` class is used to describe the parameter for drawing a combobox. `QStyleOptionButton` contains all the information that `QStyle` functions need to draw `QComboBox`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`, `QStyleOptionComplex`, and `QComboBox`.

Nested Class Summary
`static class` | `QStyleOptionComboBox.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionComboBox.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleOptionComboBox()` Creates a `QStyleOptionComboBox`, initializing the members variables to their default values.
`QStyleOptionComboBox(QStyleOptionComboBox other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionComboBox` | `clone()` This method is reimplemented for internal reasons
`QIcon` | `currentIcon()` This variable holds the icon for the current item of the combo box.
`java.lang.String` | `currentText()` This variable holds the text for the current item of the combo box.
`boolean` | `editable()` This variable holds whether or not the combobox is editable or not.
`boolean` | `frame()` This variable holds whether the combo box has a frame.
`static QStyleOptionComboBox` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleOptionComboBox instance pointed to by `nativePointer`.
`QSize` | `iconSize()` This variable holds the icon size for the current item of the combo box.
`static QNativePointer` | `nativePointerArray(QStyleOptionComboBox[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionComboBox array.
`QRect` | `popupRect()` This variable holds the popup rectangle for the combobox.
`void` | `setCurrentIcon(QIcon currentIcon)` This variable holds the icon for the current item of the combo box.
`void` | `setCurrentText(java.lang.String currentText)` This variable holds the text for the current item of the combo box.
`void` | `setEditable(boolean editable)` This variable holds whether or not the combobox is editable or not.
`void` | `setFrame(boolean frame)` This variable holds whether the combo box has a frame.
`void` | `setIconSize(QSize iconSize)` This variable holds the icon size for the current item of the combo box.
`void` | `setPopupRect(QRect popupRect)` This variable holds the popup rectangle for the combobox.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, nativePointerArray, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionComboBox

    public QStyleOptionComboBox()

  Creates a `QStyleOptionComboBox`, initializing the members variables to their default values.

### QStyleOptionComboBox

    public QStyleOptionComboBox(QStyleOptionComboBox other)

  Constructs a copy of the `other` style option.

Method Detail

### setCurrentText

    public final void setCurrentText(java.lang.String currentText)

  This variable holds the text for the current item of the combo box. The default value is an empty string.

### currentText

    public final java.lang.String currentText()

  This variable holds the text for the current item of the combo box. The default value is an empty string.

### setIconSize

    public final void setIconSize(QSize iconSize)

  This variable holds the icon size for the current item of the combo box. The default value is `QSize`(-1, -1), i.e. an invalid size.

### iconSize

    public final QSize iconSize()

  This variable holds the icon size for the current item of the combo box. The default value is `QSize`(-1, -1), i.e. an invalid size.

### setEditable

    public final void setEditable(boolean editable)

  This variable holds whether or not the combobox is editable or not. the default value is false

See also:
  `QComboBox::isEditable()`.

### editable

    public final boolean editable()

  This variable holds whether or not the combobox is editable or not. the default value is false

See also:
  `QComboBox::isEditable()`.

### setFrame

    public final void setFrame(boolean frame)

  This variable holds whether the combo box has a frame. The default value is true.

### frame

    public final boolean frame()

  This variable holds whether the combo box has a frame. The default value is true.

### setPopupRect

    public final void setPopupRect(QRect popupRect)

  This variable holds the popup rectangle for the combobox. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

  This variable is currently unused. You can safely ignore it.

See also:
  `QStyle::SC_ComboBoxListBoxPopup` .

### popupRect

    public final QRect popupRect()

  This variable holds the popup rectangle for the combobox. The default value is a null rectangle, i.e. a rectangle with both the width and the height set to 0.

  This variable is currently unused. You can safely ignore it.

See also:
  `QStyle::SC_ComboBoxListBoxPopup` .

### setCurrentIcon

    public final void setCurrentIcon(QIcon currentIcon)

  This variable holds the icon for the current item of the combo box. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### currentIcon

    public final QIcon currentIcon()

  This variable holds the icon for the current item of the combo box. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### fromNativePointer

    public static QStyleOptionComboBox fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleOptionComboBox instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionComboBox[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionComboBox array.

### clone

    public QStyleOptionComboBox clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOptionComplex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD